Name:          speech-dispatcher
Version:       0.11.2
Release:       1mamba
Summary:       A high-level device independent layer for speech synthesis
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://freebsoft.org/speechd
Source:        https://github.com/brailcom/speechd.git/%{version}/speechd-%{version}.tar.bz2
#Source:        http://www.freebsoft.org/pub/projects/speechd/speech-dispatcher-%{version}.tar.gz
Source1:       speech-dispatcher.init
Patch0:        %{name}-0.7.1-alsa_set_default.patch
Patch1:        %{name}-0.8-enable_espeak_mbrola.patch
Patch2:        speech-dispatcher-0.8-pkgconfig-add-includedir.patch
Patch3:        speech-dispatcher-0.10.2-remove-python-xdg-dependency.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libao-devel
BuildRequires: libdotconf-devel
BuildRequires: libespeak-ng-devel
BuildRequires: libglib-devel
BuildRequires: libltdl-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libpython3-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}
Obsoletes:     opentts <= 0.11.0
Provides:      python-speech-dispatcher <= 0.11.0
Requires:      espeak-ng
Obsoletes:     python-speech-dispatcher <= 0.11.0
Requires:      libspeechd = %{?epoch:%epoch:}%{version}-%{release}
Requires:      python-speechd = %{?epoch:%epoch:}%{version}-%{release}
Requires:      speech-dispatcher-espeak-ng = %{?epoch:%epoch:}%{version}-%{release}

# *** IBM TTS ECI library missing. Compiling without IBM TTS support! See INSTALL.
# *** PulseAudio library missing. Compiling without PulseAudio support! See INSTALL.

%description
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
Key features:
 * Common interface to different TTS engines
 * Handling concurrent synthesis requests – requests may come assynchronously from multiple sources within an application and/or from more different applications
 * Subsequent serialization, resolution of conflicts and priorities of incomming requests
 * Context switching – state is maintained for each client connection independently, event for connections from within one application
 * High-level client interfaces for popular programming languages
 * Common sound output handling – audio playback is handled by Speech Dispatcher rather than the TTS engine, since most engines have limited sound output capabilities 

What is a very high level GUI library to graphics, Speech Dispatcher is to speech synthesis.
The application neither needs to talk to the devices directly nor to handle concurrent access, sound output and other tricky aspects of the speech subsystem. 

%package -n libspeechd
Group:         Development/Libraries
Summary:       Shared libraries provided by %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n libspeechd
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
This package contains the shared libraries.

%package -n libspeechd-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libspeechd = %{?epoch:%epoch:}%{version}-%{release}
Provides:      speech-dispatcher-devel
Obsoletes:     speech-dispatcher-devel <= 0.11.0
Obsoletes:     opentts-devel <= 0.11.0

%description -n libspeechd-devel
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
This package contains static libraries and header files needed for development.

%package -n  python-speechd
Summary:       Python wrapper for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n  python-speechd
Contains Python language bindings for developing Python applications that use %{name}.

%package espeak-ng
Group:         System/Libraries
Summary:       espeak-ng module for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description espeak-ng
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
This package contains the espeak-ng module.

%package festival
Group:         System/Libraries
Summary:       festival module for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description festival
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
This package contains the festival module.

%package flite
Group:         System/Libraries
Summary:       flite module for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description flite
The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
This package contains the flite module.

%debug_package

%prep
%setup -q -n speechd-%{version}
%patch2 -p1
#%patch3 -p1
#sed -i "s|env python3$|env python3.6|" src/api/python/speechd_config/spd-conf

cat > .tarball-version << _EOF
%{version}
_EOF

autoreconf -f -i

%build
%configure \
   PYTHON=%{__python3} \
   --disable-static \
   --with-alsa \
   --with-pulse \
   --with-libao \
   --with-espeak-ng \
   --without-espeak \
   --without-oss \
   --without-nas \
   --with-kali=no \
   --with-baratinoo=no \
   --with-ibmtts=no \
   --with-voxin=no \
   --with-default-audio-method=pulse

#   --with-flite \

# FIXME: build workaround since help2man 1.49.1
sed -i "s|help2man -N|help2man -N --no-discard-stderr|" src/api/python/speechd_config/Makefile

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d -m0755 \
   %{buildroot}/var/log/speech-dispatcher

#install -D -m0755 %{S:1} %{buildroot}%{_initrddir}/speech-dispatcherd

#cp src/modules/lib*.so %{buildroot}%{_libdir}/speech-dispatcher/

rm -f %{buildroot}%{_libdir}/speech-dispatcher/*.la
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%systemd_post speech-dispatcherd
%install_info spd-say.info
%install_info speech-dispatcher-cs.info
%install_info speech-dispatcher.info
%install_info ssip.info
:

%preun
%systemd_preun speech-dispatcherd
%uninstall_info spd-say.info
%uninstall_info speech-dispatcher-cs.info
%uninstall_info speech-dispatcher.info
%uninstall_info ssip.info
:

%postun
/sbin/ldconfig
%systemd_postun_with_restart speech-dispatcherd
:

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/speech-dispatcher/
%dir %{_sysconfdir}/speech-dispatcher/clients
%dir %{_sysconfdir}/speech-dispatcher/modules
%config(noreplace) %{_sysconfdir}/speech-dispatcher/speechd.conf
%config(noreplace) %{_sysconfdir}/speech-dispatcher/clients/*.conf
%config(noreplace) %{_sysconfdir}/speech-dispatcher/modules/*.conf
%exclude %{_sysconfdir}/speech-dispatcher/modules/espeak*.conf
%exclude %{_sysconfdir}/speech-dispatcher/modules/festival.conf
%exclude %{_sysconfdir}/speech-dispatcher/modules/flite.conf
%{_bindir}/spd-conf
%{_bindir}/spd-say
%{_bindir}/spdsend
%{_bindir}/speech-dispatcher
%{_unitdir}/speech-dispatcherd.service
%dir %{_datadir}/speech-dispatcher
%dir %{_datadir}/speech-dispatcher/conf
%{_datadir}/speech-dispatcher/conf/speechd.conf
%dir %{_datadir}/speech-dispatcher/conf/clients
%{_datadir}/speech-dispatcher/conf/clients/*.conf
%dir %{_datadir}/speech-dispatcher/conf/desktop
%{_datadir}/speech-dispatcher/conf/desktop/speechd.desktop
%dir %{_datadir}/speech-dispatcher/conf/modules
%{_datadir}/speech-dispatcher/conf/modules/*.conf
%dir %{_datadir}/speech-dispatcher/locale
%{_datadir}/speech-dispatcher/locale/*
%{_datadir}/sounds/speech-dispatcher/*.wav
%dir /var/log/speech-dispatcher
%{_mandir}/man1/spd-conf.1*
%{_mandir}/man1/spd-say.1*
%{_mandir}/man1/speech-dispatcher.1*
%{_infodir}/spd-say.info.*
%{_infodir}/speech-dispatcher-cs.info.*
%{_infodir}/speech-dispatcher.info.*
%{_infodir}/ssip.info.*
%doc COPYING.GPL-2 COPYING.GPL-3 

%files espeak-ng
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/speech-dispatcher/modules/espeak-ng.conf
%{_libexecdir}/speech-dispatcher-modules/sd_espeak-ng
%{_libexecdir}/speech-dispatcher-modules/sd_espeak-ng-mbrola

%files festival
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/speech-dispatcher/modules/festival.conf
%{_libexecdir}/speech-dispatcher-modules/sd_festival
 
%files flite
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/speech-dispatcher/modules/flite.conf
#%{_libdir}/speech-dispatcher-modules/sd_flite

%files -n libspeechd
%defattr(-,root,root)
%{_libdir}/libspeechd.so.*
%dir %{_libexecdir}/speech-dispatcher-modules
%{_libexecdir}/speech-dispatcher-modules/sd_cicero
%{_libexecdir}/speech-dispatcher-modules/sd_dummy
%{_libexecdir}/speech-dispatcher-modules/sd_generic
%dir %{_libdir}/speech-dispatcher
%{_libdir}/speech-dispatcher/spd_alsa.so
%{_libdir}/speech-dispatcher/spd_libao.so
%{_libdir}/speech-dispatcher/spd_pulse.so
%doc AUTHORS COPYING.LGPL

%files -n libspeechd-devel
%defattr(-,root,root)
%dir %{_includedir}/speech-dispatcher
%{_includedir}/speech-dispatcher/*.h
%{_libdir}/lib*.so 
%{_libdir}/pkgconfig/speech-dispatcher.pc
%doc NEWS BUGS TODO

%files -n python-speechd
%defattr(-,root,root)
%{python3_sitearch}/speechd*

%changelog
* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 0.11.2-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Fri Dec 31 2021 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Fri Dec 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-2mamba
- disable voxin to fix unresolved requirement for libvoxin.so

* Thu Dec 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-1mamba
- update to 0.10.2

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Mon Nov 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-3mamba
- rebuilt with espeak-ng-support

* Sat Nov 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-2mamba
- require espeak-ng instead of espeak and espeak-mbrola

* Mon May 13 2019 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Tue Mar 19 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-2mamba
- fix for missing version in headers

* Sun Mar 17 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Sun Dec 03 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-3mamba
- libspeechd-devel: provide and obsolete speech-dispatcher-devel

* Sun Nov 19 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-2mamba
- added libspeechd and libspeechd-devel (obsoleting speech-dispatcher-devel)

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic version update by autodist

* Tue Jan 10 2017 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 0.8.5-1mamba
- automatic version update by autodist

* Thu May 19 2016 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- automatic version update by autodist

* Fri Jun 19 2015 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Mon Apr 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-2mamba
- fix pkgconfig file to add includes path as required by chromium >= 26

* Sun Mar 10 2013 Automatic Build System <autodist@mambasoft.it> 0.8-1mamba
- automatic version update by autodist

* Sat Jul 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-2mamba
- rebuilt with libdotconf 1.3
- obsolete opentts
- integrate python-speech-dispatcher into main package as it is for internal use
- set alsa as default output
- enable espeak-generic and espeak-mbrola-generic modules
- require espeak and espeak-mbrola

* Wed Feb 09 2011 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic update by autodist

* Tue Feb 16 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.6.7-4mamba
- new subpackages %{name}-devel and python-%{name}
- install all the info files
- own %{_datadir}/speech-dispatcher and %{_libdir}/speech-dispatcher

* Wed Sep 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-3mamba
- don't activate service on boot because it blocks alsa to other applications

* Wed Sep 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-2mamba
- added initscript

* Tue Sep 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-1mamba
- package created by autospec
